Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.query
Class LQMergeNode

    java.lang.Object
      unity.query.LQNode
          unity.query.LQJoinNode
              unity.query.LQMergeNode

All Implemented Interfaces:
  LQTreeConstants

    public class LQMergeNode

extends LQJoinNode

Field Summary

Fields inherited from interface unity.query.LQTreeConstants
`ADD, AGGREGATEFUNCTION, AND, APPEND, ARITH_OP, ARITHMETICFUNCTION, AS_IDENTIFIER, AS_TABLE, BAG_DIFFERENCE, BAG_INTERSECTION, BAG_UNION, BigDecimal, COMPARISON_OP, CONDITION, CONSTANTEXPRESSION, CROSSPRODUCT, DIFFERENCE, DISTRIBUTEDJOIN, DUPLICATE_ELIMINATION, DYNAMICHASHJOIN, EARLYHASHJOIN, EARLYHASHJOIN_NOBUFFER, EXPRESSION, FILTER, FULLOUTERJOIN, FUNCTION, GROUPBY, HAVING, IDENTIFIER, IN, INNERJOIN, INTEGER, INTERSECTION, JOIN, LEFTOUTERJOIN, MATCHFUNCTION, MERGE, MERGEJOIN, MINIMUM_JOIN_BUFFER_SIZE, MULT, MULT_OP, NESTEDLOOPJOIN, NOT, OR, ORDERBY, PRODUCT, PROJECTION, REAL, RIGHTOUTERJOIN, SELECTION, SQLPATTERN, STRING, TABLE, TABLE_IDENTIFIER, UNION, UNKNOWN, XOR`

Constructor Summary
`LQMergeNode(SubQuery leftSQ, SubQuery rightSQ)`

Method Summary
`Operator` | `buildOperator(Operator[] children)`
`LQExprNode` | `findMatchFunction(LQExprNode func)`
`java.lang.String` | `generateSQL()`
`LQCondNode` | `getFilterCondition()`
`java.util.ArrayList` | `getMatchFunctions()`
`void` | `setFilterCondition(LQCondNode c)`
`void` | `setMatchFunctions(java.util.ArrayList f)`
`void` | `setOutputAllFields(boolean b)`
`java.lang.String` | `toString()`

Methods inherited from class unity.query.LQJoinNode
`computeCost, getCondition, getCost, getNoDistributedJoin, getNumTuples, getOneSideRelation, getRequiredFields, getTupleSize, numTuples, setCondition, setJoinType, setLeftFields, setNoDistributedJoin, setRightFields, setSwap, tupleSize`

Methods inherited from class unity.query.LQNode
`addChild, clone, containsChild, getAllExprNodes, getChild, getChild, getChildren, getContent, getNumChildren, getOperator, getOutputRelation, getParent, getReference, getType, hasChildren, indexOfChild, print, removeChild, removeChild, removeChild, replaceChild, setChild, setContent, setMemorySizeTuples, setOperator, setParent, setReference, setType, stripDBAttr, stripDBTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LQMergeNode

    public LQMergeNode(SubQuery leftSQ,
                       SubQuery rightSQ)

Method Detail

### setMatchFunctions

    public void setMatchFunctions(java.util.ArrayList f)

### getMatchFunctions

    public java.util.ArrayList getMatchFunctions()

### findMatchFunction

    public LQExprNode findMatchFunction(LQExprNode func)

### setFilterCondition

    public void setFilterCondition(LQCondNode c)

### getFilterCondition

    public LQCondNode getFilterCondition()

### generateSQL

    public java.lang.String generateSQL()

  Overrides:
    `generateSQL` in class `LQJoinNode`

### setOutputAllFields

    public void setOutputAllFields(boolean b)

### buildOperator

    public Operator buildOperator(Operator[] children)
                           throws java.sql.SQLException

  Overrides:
    `buildOperator` in class `LQJoinNode`
  Throws:
    `java.sql.SQLException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `LQJoinNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD